> ## Documentation Index
> Fetch the complete documentation index at: https://docs.replo.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Replo project's settings. Switching checkoutProvider changes what the Checkout button does on every published site.



## OpenAPI

````yaml /api-reference/openapi.json patch /projects/{projectId}
openapi: 3.1.0
info:
  title: Replo Public API
  version: '2026-09-08'
servers:
  - url: https://api.replo.app/v1
security: []
paths:
  /projects/{projectId}:
    patch:
      tags:
        - Projects
      summary: >-
        Update a Replo project's settings. Switching checkoutProvider changes
        what the Checkout button does on every published site.
      operationId: projects.update
      parameters:
        - name: Replo-Api-Version
          in: header
          required: true
          schema:
            type: string
            enum:
              - '2026-09-08'
          description: The public API version to use for this request.
        - schema:
            type: string
            format: uuid
          required: true
          name: projectId
          in: path
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 256
                timeZone:
                  type: string
                  minLength: 1
                  maxLength: 64
                currency:
                  type: string
                  pattern: ^[A-Z]{3}$
                  description: Currency
                supportEmail:
                  type:
                    - string
                    - 'null'
                  format: email
                checkoutProvider:
                  type: string
                  enum:
                    - shopify
                    - replo
              additionalProperties: false
      responses:
        '200':
          description: >-
            Update a Replo project's settings. Switching checkoutProvider
            changes what the Checkout button does on every published site.
          content:
            application/json:
              schema:
                type: object
                properties:
                  object:
                    type: string
                    enum:
                      - project
                  id:
                    type: string
                    format: uuid
                  name:
                    type:
                      - string
                      - 'null'
                  workspaceId:
                    type: string
                    format: uuid
                  timeZone:
                    type:
                      - string
                      - 'null'
                  currency:
                    type:
                      - string
                      - 'null'
                    pattern: ^[A-Z]{3}$
                    description: Currency
                  supportEmail:
                    type:
                      - string
                      - 'null'
                  checkoutProvider:
                    type:
                      - string
                      - 'null'
                    enum:
                      - shopify
                      - replo
                      - null
                required:
                  - object
                  - id
                  - name
                  - workspaceId
                  - timeZone
                  - currency
                  - supportEmail
                  - checkoutProvider
                additionalProperties: false
        '400':
          description: Invalid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiError'
        '401':
          description: Missing or invalid Replo Public API token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiError'
        '403':
          description: You are not authorized to access this resource.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiError'
        '409':
          description: The resource is in a conflicting state.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiError'
        '413':
          description: File content exceeds the 10 MiB limit.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiError'
        '429':
          description: >-
            Too many requests. Please retry after the time indicated by the
            Retry-After header.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiError'
        '500':
          description: An internal error occurred.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiError'
        '503':
          description: Service temporarily unavailable.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiError'
      security:
        - bearerAuth: []
components:
  schemas:
    PublicApiError:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
            doc_url:
              type: string
          required:
            - code
            - message
            - doc_url
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````